import { ES, ESDevelop, ESDevice, ESRuntime } from "@extscreen/es3-core";
declare class RequestObject {
    deviceParams: any;
    runtimeParams: any;
    developerParams: any;
    channelCode: any;
    develop: ESDevelop;
    device: ESDevice;
    runtime: ESRuntime;
    es: ES;
    init(_develop: ESDevelop, _device: ESDevice, _runtime: ESRuntime, _es: ES): void;
    initDeviceRequestBaseParams(): {
        brand: string;
        clientType: string | null;
        dnum: string | null;
        mac: string;
        esMac: string;
        esWifiMac: string;
        manufacturer: string;
        model: string;
        deviceVersion: string;
    };
    initRuntimeData(): {
        sdkVersion: string;
        sdkCID: string | null;
        sdkVersionCode: number;
        runtimeID: string;
        hostPackageName: string;
        hostVersion: string;
        hostChannel: string;
        snCode: string;
    };
    initDeveloperRequestBaseParams(): {
        apikey: string;
        secretkey: string;
        packagename: string;
        vercode: number;
        vername: string;
        bcCode: string;
    };
}
export declare const requestObject: RequestObject;
export {};
